"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var React = require("react");
var _ = require("underscore");
var classNames_1 = require("../../utilities/classNames");
var Image = (function (_super) {
    tslib_1.__extends(Image, _super);
    function Image() {
        var _this = _super.call(this) || this;
        _this.state = { source: "" };
        return _this;
    }
    Image.prototype.getRandomUser = function () {
        var _this = this;
        var url = "https://randomuser.me/api?exc=login,name,location,email,registered,dob,phone,cell,id,nat" + (this.props.sampleUserSeed ? "&seed=" + this.props.sampleUserSeed : '');
        var xmlHttp = new XMLHttpRequest();
        xmlHttp.onreadystatechange = function () {
            if (xmlHttp.readyState == 4 && xmlHttp.status == 200) {
                var response = JSON.parse(xmlHttp.responseText);
                var pictureUrl = response.results[0].picture.large;
                _this.setState({ source: pictureUrl });
            }
        };
        xmlHttp.open("GET", url, true);
        xmlHttp.send(null);
    };
    Image.prototype.componentDidMount = function () {
        var height = this.props.height;
        var width = this.props.width;
        if (!this.props.height && this.props.width) {
            height = this.props.width;
        }
        if (!this.props.width && this.props.height) {
            width = this.props.height;
        }
        var source;
        if (this.props.source) {
            this.setState({ source: this.props.source });
        }
        else if (this.props.sampleUser) {
            this.getRandomUser();
        }
        else if (!this.props.noPlaceholder && !this.props.sampleUser) {
            this.setState({ source: "http://dummyimage.com/" + height + "x" + width + "/4f5c69/ffffff.png" });
        }
    };
    Image.prototype.render = function () {
        var attrs = _.omit(this.props, "height", "width", "noPlaceholder", "sampleUserSeed", "sampleUser", "source", "className", "rounded");
        var classes = classNames_1.ClassHelpers.classNames(this.props.className, { "rounded": this.props.rounded });
        return (React.createElement("img", tslib_1.__assign({ src: this.state.source }, attrs, { height: this.props.height, width: this.props.width, className: classes })));
    };
    return Image;
}(React.Component));
exports.Image = Image;
