"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var _ = require("underscore");
var React = require("react");
var form_1 = require("../form");
var classNames_1 = require("../../../utilities/classNames");
var RadioInput = (function (_super) {
    tslib_1.__extends(RadioInput, _super);
    function RadioInput() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    RadioInput.prototype.render = function () {
        var validationMessage = this.props["data-validation-message"];
        var id = form_1.generateUniqueId(function (u) { return "radio_" + u; });
        var classes = classNames_1.ClassHelpers.classNames("armstrong-input", "radio", this.props.className, {
            "show-validation": (this.props.validationMode !== "none" && validationMessage)
        });
        return (React.createElement("div", { className: classes, title: validationMessage },
            React.createElement("input", tslib_1.__assign({ id: id }, _.omit(this.props, "labelContent", "validationMode"), { type: "radio", "data-validation-message": validationMessage })),
            React.createElement("label", { htmlFor: id }),
            React.createElement("label", { className: "radio-label", htmlFor: id }, this.props.labelContent)));
    };
    return RadioInput;
}(React.Component));
RadioInput.defaultProps = {
    validationMode: "none"
};
exports.RadioInput = RadioInput;
