"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var _ = require("underscore");
var React = require("react");
var options_1 = require("./options");
var classNames_1 = require("../../../utilities/classNames");
var SelectInput = (function (_super) {
    tslib_1.__extends(SelectInput, _super);
    function SelectInput() {
        var _this = _super !== null && _super.apply(this, arguments) || this;
        _this.change = function (e) {
            _this.props.change && _this.props.change(_this.props.options[e.target["selectedIndex"]]);
            _this.props.onChange && _this.props.onChange(e);
        };
        return _this;
    }
    SelectInput.prototype.focus = function () {
        if (this.select) {
            this.select.focus();
        }
    };
    SelectInput.prototype.blur = function () {
        if (this.select) {
            this.select.blur();
        }
    };
    SelectInput.prototype.render = function () {
        var _this = this;
        var validationMessage = this.props["data-validation-message"];
        var classes = classNames_1.ClassHelpers.classNames("armstrong-input", "select-input", this.props.className, {
            "show-validation": (this.props.validationMode !== "none" && validationMessage)
        });
        var options = options_1.buildOptions(this.props.optionLabel, this.props.options, function (o) { return o.id; }, function (o) { return o.name; });
        return (React.createElement("div", { className: classes, title: validationMessage },
            React.createElement("select", tslib_1.__assign({ ref: function (r) { return _this.select = r; } }, _.omit(this.props, "options", "change", "onChange", "optionLabel", "validationMode"), { onChange: this.change }), options)));
    };
    return SelectInput;
}(React.Component));
SelectInput.defaultProps = {
    optionLabel: "[Select]",
    validationMode: "none"
};
exports.SelectInput = SelectInput;
