"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var ClassHelpers = (function () {
    function ClassHelpers() {
    }
    ClassHelpers.classNames = function () {
        var args = [];
        for (var _i = 0; _i < arguments.length; _i++) {
            args[_i] = arguments[_i];
        }
        var classes = [];
        for (var i = 0; i < args.length; i++) {
            var arg = args[i];
            if (!arg)
                continue;
            var argType = typeof arg;
            if (argType === 'string' || argType === 'number') {
                classes.push(arg);
            }
            else if (Array.isArray(arg)) {
                classes.push(this.classNames.apply(null, arg));
            }
            else if (argType === 'object') {
                for (var key in arg) {
                    if (this.hasOwn.call(arg, key) && arg[key]) {
                        classes.push(key);
                    }
                }
            }
        }
        return classes.join(' ');
    };
    return ClassHelpers;
}());
ClassHelpers.hasOwn = {}.hasOwnProperty;
exports.ClassHelpers = ClassHelpers;
